Name:           perl-CPANPLUS-Dist-Debora
Version:        0.017
Release:        1%{?dist}
Summary:        Create RPM packages from Perl distributions
License:        GPL-1.0-or-later OR Artistic-1.0-Perl
URL:            https://metacpan.org/dist/CPANPLUS-Dist-Debora
Source:         https://cpan.metacpan.org/authors/id/V/VO/VOEGELAS/CPANPLUS-Dist-Debora-%{version}.tar.gz
BuildArch:      noarch
# Build:
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(:VERSION) >= 5.16
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Runtime:
BuildRequires:  perl(Archive::Tar)
BuildRequires:  perl(Archive::Tar::Constant)
BuildRequires:  perl(CPAN::Meta)
BuildRequires:  perl(CPANPLUS::Dist::Base)
BuildRequires:  perl(CPANPLUS::Error)
BuildRequires:  perl(Carp)
BuildRequires:  perl(Config)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Encode)
BuildRequires:  perl(English)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(File::Basename)
BuildRequires:  perl(File::Path)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(File::Spec::Functions)
BuildRequires:  perl(File::Spec::Unix)
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(IPC::Cmd)
BuildRequires:  perl(Module::CoreList) >= 2.32
BuildRequires:  perl(Module::Pluggable)
BuildRequires:  perl(Net::Domain)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Pod::Simple)
BuildRequires:  perl(Pod::Simple::Search)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(Software::License) >= 0.103014
BuildRequires:  perl(Software::LicenseUtils) >= 0.103014
BuildRequires:  perl(Text::Template) >= 1.22
BuildRequires:  perl(Text::Wrap)
BuildRequires:  perl(parent)
BuildRequires:  perl(utf8)
BuildRequires:  perl(version) >= 0.77
# Tests:
BuildRequires:  perl(Test::MockObject)
BuildRequires:  perl(Test::MockObject::Extends)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(lib)
Requires:       findutils
Requires:       gcc
Requires:       make
Requires:       perl
Requires:       perl-devel
Requires:       perl-generators
Requires:       perl(CPANPLUS) >= 0.9166
Requires:       perl(CPANPLUS::Dist::Build)
Requires:       perl(IPC::Run)
Requires:       perl(Term::ReadLine::Gnu)
Requires:       rpm
Requires:       rpm-build
Requires:       sudo
Requires:       tar
Recommends:     perl-DBD-SQLite
Recommends:     perl-DBIx-Simple
Suggests:       less

%{?perl_default_filter}

%description
This CPANPLUS plugin creates RPM packages from Perl distributions.
The created packages can be installed with CPANPLUS or rpm.

 $ cpanp
 CPAN Terminal> i Some::Module --format=CPANPLUS::Dist::Debora

 $ cpan2dist --format CPANPLUS::Dist::Debora Some::Module
 $ sudo rpm -i ~/rpmbuild/RPMS/noarch/perl-Some-Module-1.0-1.noarch.rpm

%prep
%autosetup -n CPANPLUS-Dist-Debora-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING.md README.md
%dir %{perl_vendorlib}/CPANPLUS
%dir %{perl_vendorlib}/CPANPLUS/Dist
%dir %{perl_vendorlib}/CPANPLUS/Dist/Debora
%{perl_vendorlib}/CPANPLUS/Dist/Debora.pm
%{perl_vendorlib}/CPANPLUS/Dist/Debora/License.pm
%dir %{perl_vendorlib}/CPANPLUS/Dist/Debora/Package
%{perl_vendorlib}/CPANPLUS/Dist/Debora/Package.pm
%{perl_vendorlib}/CPANPLUS/Dist/Debora/Package/Debian.pm
%{perl_vendorlib}/CPANPLUS/Dist/Debora/Package/Mageia.pm
%{perl_vendorlib}/CPANPLUS/Dist/Debora/Package/RPM.pm
%{perl_vendorlib}/CPANPLUS/Dist/Debora/Package/Tar.pm
%{perl_vendorlib}/CPANPLUS/Dist/Debora/Pod.pm
%{perl_vendorlib}/CPANPLUS/Dist/Debora/Util.pm
%{_mandir}/man3/CPANPLUS::Dist::Debora.3*
%{_mandir}/man3/CPANPLUS::Dist::Debora::License.3*
%{_mandir}/man3/CPANPLUS::Dist::Debora::Package.3*
%{_mandir}/man3/CPANPLUS::Dist::Debora::Package::Debian.3*
%{_mandir}/man3/CPANPLUS::Dist::Debora::Package::Mageia.3*
%{_mandir}/man3/CPANPLUS::Dist::Debora::Package::RPM.3*
%{_mandir}/man3/CPANPLUS::Dist::Debora::Package::Tar.3*
%{_mandir}/man3/CPANPLUS::Dist::Debora::Pod.3*
%{_mandir}/man3/CPANPLUS::Dist::Debora::Util.3*

%changelog
* Wed Feb 19 2025 Andreas Vögele <andreas@andreasvoegele.com> - 0.017-1
- Initial package
